using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ResourcesManager.Models
{
    public class Notification
    {
        [HiddenInput(DisplayValue = true)]
        public int Id { get; set; }

        [Required(ErrorMessage = "Kötelező megadni!")]
        [Display(Name = "Cím")]
        public string Title { get; set; }

        [Required(ErrorMessage = "Kötelező megadni!")]
        [Display(Name = "Leírás")]
        public string Description { get; set; }

        [Display(Name = "Logó")]
        public string Logo { get; set; }

        public string Link { get; set; }

        [Display(Name ="Felhasználó")]
        public string User { get; set; }

        [Display(Name = "Olvasva")]
        public bool Readed { get; set; }

        [DataType(DataType.DateTime, ErrorMessage = "A Dátum, idő formátum a kövező legyen: yyyy.mm.dd hh:mm:ss")]
        [Display(Name = "Létrehozva")]
        public DateTime CreateDate { get; set; }

        public override string ToString()
        {
            return "Title: " + Title.ToString() + ", Description: " + Description+ ", Logo: " + Logo;
        }
    }
}